*
* Generic triode model: WE396A
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:43:12 2008
*              Plate
*              | Grid
*              | | Cathode
*              | | |
.SUBCKT WE396A A G K
.param GG {(V(G,K)+0.052879817)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.014753653*EP)^-0.87734793)}
.param M2 {((0.63095518*URAMP(GG+EP/25.013793))^2.3773479)}
.param P  {(0.0026962883*URAMP(GG+EP/39.644326)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.0016842826*M1*M2)}
.param IG {(0.0013481441*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.0014508027*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 1.3p
CGK G K 2.2p
CAK A K 1p
.ENDS
